Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing.wsdl
Class WSDL11DefaultActionPatternHelper

    java.lang.Object
      org.apache.axis2.addressing.wsdl.WSDL11DefaultActionPatternHelper

    public class WSDL11DefaultActionPatternHelper

extends Object

Generates a wsa:Action value using the Default Action Pattern defined at http://www.w3.org/TR/2006/WD-ws-addr-wsdl-20060216/#defactionwsdl11

Constructor Summary
`WSDL11DefaultActionPatternHelper()`

Method Summary
`static String` | `generateActionFromFaultElement(javax.wsdl.Definition def, javax.wsdl.PortType wsdl4jPortType, javax.wsdl.Operation op, javax.wsdl.Fault fault)` Generate the Action for a Fault using the Default Action Pattern Pattern is defined as [target namespace][delimiter][port type name][delimiter][operation name][delimiter]Fault[delimiter][fault name]
`static String` | `generateActionFromInputElement(javax.wsdl.Definition def, javax.wsdl.PortType wsdl4jPortType, javax.wsdl.Operation op, javax.wsdl.Input input)` Generate the Action for an Input using the Default Action Pattern Pattern is defined as [target namespace][delimiter][port type name][delimiter][input name]
`static String` | `generateActionFromOutputElement(javax.wsdl.Definition def, javax.wsdl.PortType wsdl4jPortType, javax.wsdl.Operation op, javax.wsdl.Output output)` Generate the Action for an Output using the Default Action Pattern Pattern is defined as [target namespace][delimiter][port type name][delimiter][output name]
`protected static String` | `getFaultActionFromStringInformation(String targetNamespace, String portTypeName, String operationName, String faultName)`
`protected static String` | `getInputActionFromStringInformation(String messageExchangePattern, String targetNamespace, String portTypeName, String operationName, String inputName)`
`protected static String` | `getOutputActionFromStringInformation(String messageExchangePattern, String targetNamespace, String portTypeName, String operationName, String outputName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDL11DefaultActionPatternHelper

    public WSDL11DefaultActionPatternHelper()

Method Detail

### generateActionFromInputElement

    public static String generateActionFromInputElement(javax.wsdl.Definition def,
                                                        javax.wsdl.PortType wsdl4jPortType,
                                                        javax.wsdl.Operation op,
                                                        javax.wsdl.Input input)

  Generate the Action for an Input using the Default Action Pattern

  Pattern is defined as [target namespace][delimiter][port type name][delimiter][input name]

  Parameters:
    `def` - is required to obtain the targetNamespace
    `wsdl4jPortType` - is required to obtain the portType name
    `op` - is required to generate the input name if not explicitly specified
    `input` - is required for its name if specified
  Returns:
    a wsa:Action value based on the Default Action Pattern and the provided objects

### getInputActionFromStringInformation

    protected static String getInputActionFromStringInformation(String messageExchangePattern,
                                                                String targetNamespace,
                                                                String portTypeName,
                                                                String operationName,
                                                                String inputName)

### generateActionFromOutputElement

    public static String generateActionFromOutputElement(javax.wsdl.Definition def,
                                                         javax.wsdl.PortType wsdl4jPortType,
                                                         javax.wsdl.Operation op,
                                                         javax.wsdl.Output output)

  Generate the Action for an Output using the Default Action Pattern

  Pattern is defined as [target namespace][delimiter][port type name][delimiter][output name]

  Parameters:
    `def` - is required to obtain the targetNamespace
    `wsdl4jPortType` - is required to obtain the portType name
    `op` - is required to generate the output name if not explicitly specified
    `output` - is required for its name if specified
  Returns:
    a wsa:Action value based on the Default Action Pattern and the provided objects

### getOutputActionFromStringInformation

    protected static String getOutputActionFromStringInformation(String messageExchangePattern,
                                                                 String targetNamespace,
                                                                 String portTypeName,
                                                                 String operationName,
                                                                 String outputName)

### generateActionFromFaultElement

    public static String generateActionFromFaultElement(javax.wsdl.Definition def,
                                                        javax.wsdl.PortType wsdl4jPortType,
                                                        javax.wsdl.Operation op,
                                                        javax.wsdl.Fault fault)

  Generate the Action for a Fault using the Default Action Pattern

  Pattern is defined as [target namespace][delimiter][port type name][delimiter][operation name][delimiter]Fault[delimiter][fault name]

  Parameters:
    `def` - is required to obtain the targetNamespace
    `wsdl4jPortType` - is required to obtain the portType name
    `op` - is required to obtain the operation name
    `fault` - is required to obtain the fault name
  Returns:
    a wsa:Action value based on the Default Action Pattern and the provided objects

### getFaultActionFromStringInformation

    protected static String getFaultActionFromStringInformation(String targetNamespace,
                                                                String portTypeName,
                                                                String operationName,
                                                                String faultName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.